# -*- coding: utf-8 -*-
"""
This module allows you to run code on the main thread easely. This can be used for modifiying the UI.
    
Example:

    import mainthread

    def sayHello() -> None:
        print("Hello World!")
        
    mainthread.runSync(sayHello)
"""

import PytoClasses
from time import sleep

__PyMainThread__ = PytoClasses.PyMainThread

def runAsync(code):
    """
    Runs the given code asynchronously on the main thread.
    
    Args:
        code: Code to execute in the main thread.
    """
    __PyMainThread__.runAsync(code)

def runSync(code):
    """
    Runs the given code synchronously on the main thread.
    
    Args:
        code: Code to execute in the main thread.
    """
    __PyMainThread__.runSync(code)
    sleep(0.1)

